<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    version="1.0">

<!-- The local path to Norm Walsh's DocBook FO stylesheets -->
<xsl:import href="file:///not set"/>

<!-- The local path to your common customization stylesheet -->
<xsl:import href="file:///not set"/>


<!-- ***************  Additional  *********************  -->
<!-- ***************************************************  -->






<!-- ***************  Admonitions  *********************  -->
<!-- ***************************************************  -->








<!-- ***************  Automatic labelling  *********************  -->
<!-- ***************************************************  -->











<!-- ***************  Bibliography  *********************  -->
<!-- ***************************************************  -->





<!-- ***************  Callouts  *********************  -->
<!-- ***************************************************  -->












<!-- ***************  Cross References  *********************  -->
<!-- ***************************************************  -->







<!-- ***************  EBNF  *********************  -->
<!-- ***************************************************  -->




<!-- ***************  Font Families  *********************  -->
<!-- ***************************************************  -->








<!-- ***************  Glossary  *********************  -->
<!-- ***************************************************  -->










<!-- ***************  Graphics  *********************  -->
<!-- ***************************************************  -->







<!-- ***************  Linking  *********************  -->
<!-- ***************************************************  -->















<!-- ***************  Lists  *********************  -->
<!-- ***************************************************  -->






<!-- ***************  Localization  *********************  -->
<!-- ***************************************************  -->





<!-- ***************  Meta/*Info  *********************  -->
<!-- ***************************************************  -->

<!-- If true (non-zero), the othername of an author appears between the firstname and surname. Otherwise, othername is suppressed. -->
<xsl:param name="author.othername.in.middle" select="1"></xsl:param>




<!-- ***************  Miscellaneous  *********************  -->
<!-- ***************************************************  -->


















<!-- Specifies styling properties for subscripts. -->
<xsl:attribute-set name="subscript.properties">
  <xsl:attribute name="font-size">
    75%
  </xsl:attribute>
</xsl:attribute-set>

<!-- Specifies styling properties for superscripts. -->
<xsl:attribute-set name="superscript.properties">
  <xsl:attribute name="font-size">
    75%
  </xsl:attribute>
</xsl:attribute-set>



<!-- The ulink.footnote.number.format specifies the format to use for footnote numeration (1, i, I, a, or A). -->
<xsl:param name="ulink.footnote.number.format" select="'1'"></xsl:param>

<!-- If non-zero, the URL of each ULink will appear as a footnote. -->
<xsl:param name="ulink.footnotes" select="0"></xsl:param>

<!-- If not empty, the specified character (or more generally, content) is added to URLs after every "/". If the character specified is a Unicode soft hyphen (0x00AD) or Unicode zero-width space (0x200B), some FO processors will be able to reasonably hyphenate long URLs. As of 28 Jan 2002, discretionary hyphens are more widely and correctly supported than zero-width spaces for this purpose. -->
<xsl:param name="ulink.hyphenate" select="''"></xsl:param>

<!-- If non-zero, the URL of each ULink will appear after the text of the link. If the text of the link and the URL are identical, the URL is suppressed. -->
<xsl:param name="ulink.show" select="1"></xsl:param>




<!-- Use number and title in cross references -->
<xsl:param name="xref.with.number.and.title" select="1"></xsl:param>


<!-- ***************  Pagination and General Styles  *********************  -->
<!-- ***************************************************  -->




















<!--  Selects draft mode. If draft.mode is "yes", the entire document will be treated as a draft. If it is "no", the entire document will be treated as a final copy. If it is "maybe", individual sections will be treated as draft or final independently, depending on how their status attribute is set. -->
<xsl:param name="draft.mode" select="'no'"></xsl:param>





























<!-- ***************  Processor Extensions  *********************  -->
<!-- ***************************************************  -->









<!-- ***************  Profiling  *********************  -->
<!-- ***************************************************  -->
















<!-- ***************  Property Sets  *********************  -->
<!-- ***************************************************  -->










































<!-- ***************  QAndASet  *********************  -->
<!-- ***************************************************  -->





<!-- ***************  Reference Pages  *********************  -->
<!-- ***************************************************  -->










<!-- ***************  Stylesheet Extensions  *********************  -->
<!-- ***************************************************  -->










<!-- ***************  Tables  *********************  -->
<!-- ***************************************************  -->












<!-- ***************  ToC/LoT/Index Generation  *********************  -->
<!-- ***************************************************  -->

<!-- String to use to seperate labels and title in a table of contents.  -->
<xsl:param name="autotoc.label.separator" select="'.'"></xsl:param>




<!-- This parameter has a structured value. It is a table of space-delimited path/value pairs. Each path identifies some element in the source document using a restricted subset of XPath (only the implicit child axis, no wildcards, no predicates). Paths can be either relative or absolute. When processing a particular element, the stylesheets consult this table to determine if a ToC (or LoT(s)) should be generated. For example, consider the entry: "book toc,figure" This indicates that whenever a book is formatted, a Table Of Contents and a List of Figures should be generated. Similarly, "/chapter toc" indicates that whenever a document that has a root of chapter is formatted, a Table of Contents should be generated. The entry chapter would match all chapters, but /chapter matches only chapter document elements. Generally, the longest match wins. So, for example, if you want to distinguish articles in books from articles in parts, you could use these two entries: "book/article toc,figure" and "part/article toc" Note that an article in a part can never match a book/article, so if you want nothing to be generated for articles in parts, you can simply leave that rule out. If you want to leave the rule in, to make it explicit that you're turning something off, use the value "nop". For example, the following entry disables ToCs and LoTs for articles: "article nop" Do not simply leave the word "article" in the file without a matching value. That'd be just begging the silly little path/value parser to get confused. Section ToCs are further controlled by the generate.section.toc.level parameter. For a given section level to have a ToC, it must have both an entry in generate.toc and be within the range enabled by generate.section.toc.level. -->
<xsl:param name="generate.toc">
  /appendix  toc,title
  article/appendix  nop
  /article  toc,title
  book  toc,title,figure,table,example,equation
  /chapter  toc,title
  part  toc,title
  /preface  toc,title
  qandadiv  toc
  qandaset  toc
  reference  toc,title
  /sect1  toc
  /sect2  toc
  /sect3  toc
  /sect4  toc
  /sect5  toc
  /section  toc
  set  toc,title
</xsl:param>








<!-- Specifies, in points, the distance by which each level of the TOC is indented from its parent. This value is expressed in points, without a unit (in other words, it is a bare number). Using a bare number allows the stylesheet to perform calculations that would otherwise have to be performed by the FO processor because not all processors support expressions.  -->
<xsl:param name="toc.indent.width" select="24"></xsl:param>

<!-- This attribute set is used on Tables of Contents. These attributes are set on the wrapper that surrounds the ToC block, not on each individual line. -->
<xsl:attribute-set name="toc.margin.properties">
  <xsl:attribute name="space-before.minimum">
    0.5em
  </xsl:attribute>
  <xsl:attribute name="space-before.optimum">
    1em
  </xsl:attribute>
  <xsl:attribute name="space-before.maximum">
    2em
  </xsl:attribute>
  <xsl:attribute name="space-after.minimum">
    0.5em
  </xsl:attribute>
  <xsl:attribute name="space-after.optimum">
    1em
  </xsl:attribute>
  <xsl:attribute name="space-after.maximum">
    2em
  </xsl:attribute>
</xsl:attribute-set>

<!-- Specifies the depth to which recursive sections should appear in the TOC. -->
<xsl:param name="toc.section.depth">
2
</xsl:param>



<!-- ***************  XSLT Processing  *********************  -->
<!-- ***************************************************  -->




</xsl:stylesheet>
