import sys, os, string
import urllib

def mk_tmpl(tmpl_fname, out_fname, tmpl_map):
    finp = fout = None    
    try:
        finp = file(tmpl_fname)
        fout = file(out_fname, 'wb')
        tmpl = string.Template(finp.read())
        fout.write(tmpl.substitute(tmpl_map))
    finally:
        if finp != None: finp.close()
        if fout != None: fout.close()

def idx_mk_tmpl(idx_fname, tmpl_dir, tmpl_map):
    finp = None
    try:
        finp = file(idx_fname)
        for line in finp:
            line = line.strip()
            if not line or line[0] == '#': continue
            pr = [p.strip() for p in line.split(':')]
            print pr
            mk_tmpl(os.path.join(tmpl_dir, pr[0]), pr[1], tmpl_map)
    finally:
        if finp != None: finp.close()

if __name__ == '__main__':    
    inst_dir = os.path.dirname(sys.executable)
    btransformer_base = inst_dir.replace('\\', '/')
    btransformer_base_quoted = urllib.quote(btransformer_base, safe = '/:')
    btransformer_base_quoted_cmd = btransformer_base_quoted.replace('%', '%%')
    tmpl_map = {'btransformer_base': btransformer_base,
                'btransformer_base_quoted': btransformer_base_quoted,
                'btransformer_base_quoted_cmd': btransformer_base_quoted_cmd,}
    idx_mk_tmpl('configs/idx_map', 'configs', tmpl_map)    
    import atexit, msvcrt
    def getch():
        print 'Press any key...'
        msvcrt.getch()
    atexit.register(getch)
