<?xml version='1.0' encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.1">
    <xsl:import href="p_fb2_common-default.xsl"/>
    <xsl:import href="p_docbook_common-prs.xsl"/>
    <xsl:output encoding="UTF-8" indent="no" method="xml"/>

    <xsl:param name="output.dpi.width" select="'166'"/>
    <xsl:param name="output.dpi.height" select="'166'"/>
    <xsl:param name="output.max_image_margin.width" select="'5'"/>
    <xsl:param name="output.max_image_margin.height" select="'5'"/>
    <xsl:param name="output.images_mode.resize" select="'1'"/>
    <xsl:param name="output.images_mode.mode" select="'BW'"/>
    

    <xsl:param name="paper.type" select="'A6'"/>
    <xsl:param name="page.width" select="'88.184mm'"/>
    <xsl:param name="page.height" select="'113.854mm'"/>

    <xsl:param name="double.sided" select="'0'"/>
    <xsl:param name="page.margin.top" select="'1mm'"/>
    <xsl:param name="page.margin.bottom" select="'1mm'"/>
    <xsl:param name="page.margin.inner" select="'1.5mm'"/>
    <xsl:param name="page.margin.outer" select="'1.5mm'"/>
    <xsl:param name="body.margin.top" select="'0mm'"/>
    <xsl:param name="body.margin.bottom" select="'0mm'"/>
    <xsl:param name="body.start.indent" select="'0pt'"/>

    <xsl:param name="footer.rule" select="0"/>
    <xsl:param name="header.rule" select="0"/>

    <xsl:param name="body.font.master" select="10"/>
        
    <xsl:param name="generate.toc">
        /appendix  toc,title
        article/appendix  nop
        /article  toc,title
        book  toc,title,figure,table,example,equation
        /chapter  toc,title
        part  toc,title
        /preface  toc,title
        qandadiv  toc
        qandaset  toc
        reference  toc,title
        /sect1  toc
        /sect2  toc
        /sect3  toc
        /sect4  toc
        /sect5  toc
        /section  toc
        set  toc,title
    </xsl:param>

</xsl:stylesheet>
